#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x99b63026, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xa848c3d9, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x1bc77681, __VMLINUX_SYMBOL_STR(snd_hda_gen_free) },
	{ 0x8aed238f, __VMLINUX_SYMBOL_STR(snd_hda_mixer_amp_volume_put) },
	{ 0xb9a20d59, __VMLINUX_SYMBOL_STR(snd_hda_enum_helper_info) },
	{ 0xa054a0ca, __VMLINUX_SYMBOL_STR(snd_hda_gen_parse_auto_config) },
	{ 0xce8af451, __VMLINUX_SYMBOL_STR(snd_hda_apply_fixup) },
	{ 0x2592f2a6, __VMLINUX_SYMBOL_STR(snd_hda_pick_fixup) },
	{ 0xbe7dd7dc, __VMLINUX_SYMBOL_STR(snd_array_new) },
	{ 0x4fdd5188, __VMLINUX_SYMBOL_STR(snd_hda_mixer_amp_tlv) },
	{ 0xbf63e976, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0xe80bf528, __VMLINUX_SYMBOL_STR(snd_hda_gen_build_pcms) },
	{ 0xd9ad113, __VMLINUX_SYMBOL_STR(snd_hda_override_conn_list) },
	{ 0x9f58f90a, __VMLINUX_SYMBOL_STR(snd_hda_jack_unsol_event) },
	{ 0x32bd827b, __VMLINUX_SYMBOL_STR(snd_hda_get_path_from_idx) },
	{ 0x314a97c3, __VMLINUX_SYMBOL_STR(snd_hda_mixer_amp_volume_get) },
	{ 0x9c3c5aec, __VMLINUX_SYMBOL_STR(snd_hdac_regmap_write_raw) },
	{ 0xf98c3a3f, __VMLINUX_SYMBOL_STR(snd_hda_get_path_idx) },
	{ 0xb02a2194, __VMLINUX_SYMBOL_STR(snd_hda_gen_check_power_status) },
	{ 0x74aed678, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x27306dd6, __VMLINUX_SYMBOL_STR(snd_hda_activate_path) },
	{ 0xa5656725, __VMLINUX_SYMBOL_STR(snd_hda_gen_init) },
	{ 0x12132b08, __VMLINUX_SYMBOL_STR(snd_hda_parse_pin_defcfg) },
	{ 0xa1452252, __VMLINUX_SYMBOL_STR(__hda_codec_driver_register) },
	{ 0xf9690b3b, __VMLINUX_SYMBOL_STR(snd_hda_override_amp_caps) },
	{ 0x722fca82, __VMLINUX_SYMBOL_STR(snd_hda_ctl_add) },
	{ 0x5638a1aa, __VMLINUX_SYMBOL_STR(_snd_hdac_read_parm) },
	{ 0xee2c7b9c, __VMLINUX_SYMBOL_STR(snd_hda_mixer_amp_switch_put_beep) },
	{ 0x94b074eb, __VMLINUX_SYMBOL_STR(snd_ctl_new1) },
	{ 0xbdfb6dbb, __VMLINUX_SYMBOL_STR(__fentry__) },
	{ 0x779b257d, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xd3f50137, __VMLINUX_SYMBOL_STR(snd_hda_gen_add_kctl) },
	{ 0x914d72d5, __VMLINUX_SYMBOL_STR(snd_hda_mixer_amp_switch_get_beep) },
	{ 0xa1298d24, __VMLINUX_SYMBOL_STR(snd_hdac_codec_write) },
	{ 0x4c95bca9, __VMLINUX_SYMBOL_STR(hda_codec_driver_unregister) },
	{ 0x515f462d, __VMLINUX_SYMBOL_STR(snd_hda_mixer_amp_switch_info) },
	{ 0x5a6ff1, __VMLINUX_SYMBOL_STR(snd_hda_gen_spec_init) },
	{ 0xe3b8fc7, __VMLINUX_SYMBOL_STR(snd_hda_mixer_amp_volume_info) },
	{ 0x7c613b1a, __VMLINUX_SYMBOL_STR(snd_hda_gen_build_controls) },
	{ 0x26783204, __VMLINUX_SYMBOL_STR(snd_hda_get_connections) },
	{ 0x3ea5a1a, __VMLINUX_SYMBOL_STR(snd_hda_shutup_pins) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd";

MODULE_ALIAS("hdaudio:v11D4184Ar*a01*");
MODULE_ALIAS("hdaudio:v11D41882r*a01*");
MODULE_ALIAS("hdaudio:v11D41883r*a01*");
MODULE_ALIAS("hdaudio:v11D41884r*a01*");
MODULE_ALIAS("hdaudio:v11D4194Ar*a01*");
MODULE_ALIAS("hdaudio:v11D4194Br*a01*");
MODULE_ALIAS("hdaudio:v11D41981r*a01*");
MODULE_ALIAS("hdaudio:v11D41983r*a01*");
MODULE_ALIAS("hdaudio:v11D41984r*a01*");
MODULE_ALIAS("hdaudio:v11D41986r*a01*");
MODULE_ALIAS("hdaudio:v11D41988r*a01*");
MODULE_ALIAS("hdaudio:v11D4198Br*a01*");
MODULE_ALIAS("hdaudio:v11D4882Ar*a01*");
MODULE_ALIAS("hdaudio:v11D4989Ar*a01*");
MODULE_ALIAS("hdaudio:v11D4989Br*a01*");

MODULE_INFO(srcversion, "44863C18C8B03A5364FB1D1");

MODULE_INFO(suserelease, "SLE15");
